<?php
// $Id: cache_actions.views.inc,v 1.1.2.1 2011/02/06 15:04:05 fabsor Exp $

/**
 * @file
 * This file contains views hooks.
 */

/**
 * Implementation of hook_views_plugins().
 */
function cache_actions_views_plugins() {
  return array(
    'cache' => array(
      'rules' => array(
        'title' => t('Rules-triggered Cache'),
        'help' => t('Cache This View for an infinite time. This can be used
          when rules are used to invalidate the cache.'),
        'handler' => 'cache_actions_plugin_cache_rules',
        'help topic' => 'cache-rules',
        'path' => drupal_get_path('module', 'cache_actions') . '/plugins/views',
      ),
    ),
  );
}
